require 'mxx_ru/cpp'

require 'oess_1/defs/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Lib_target.new( "oess_1/zlib/prj.rb" ) {
		target_root( "lib" )

		target( "oess_zlib" + Oess_1::VERSION )

		c_source( "adler32.c" )
		c_source( "compress.c" )
		c_source( "crc32.c" )
		c_source( "deflate.c" )
		c_source( "gzio.c" )
		c_source( "infback.c" )
		c_source( "inffast.c" )
		c_source( "inflate.c" )
		c_source( "inftrees.c" )
		c_source( "trees.c" )
		c_source( "uncompr.c" )
		c_source( "zutil.c" )

		include_path( "oess_1/zlib", Mxx_ru::Cpp::Target::OPT_UPSPREAD )
	}
)
